# Interface FieldProperties

Properties that extend the ArcGis portal representation of a Field.

interface FieldProperties {
$ref?: string;
alias?: string;
domain?: DomainJson;
editable?: boolean;
exactMatch?: boolean;
length?: number;
name?: string;
nullable?: boolean;
type?: FieldJsonType;
visible?: boolean;
}

#### Hierarchy

- Partial<FieldJson>
  - FieldProperties

#####
Index

### Properties

$ref?
alias?
domain?
editable?
exactMatch?
length?
name?
nullable?
type?
visible?

##
Properties

### `Optional`$ref

$ref?: string

A field name referring to an existing field in a schema. The field extension will attempt to find an existing field in its parent schema.

### `Optional` alias

alias?: string

The field alias (human-readable name).

Inherited from Partial.alias

### `Optional` domain

domain?: DomainJson

A domain object that provides the attribute domain information for the field, if a domain exists.

Inherited from Partial.domain

### `Optional` editable

editable?: boolean

Whether this field is editable.

Inherited from Partial.editable

### `Optional` exactMatch

exactMatch?: boolean

A Boolean defining whether or not the field is an exact match.

Inherited from Partial.exactMatch

### `Optional` length

length?: number

A number defining how many characters are allowed in a string field.

Inherited from Partial.length

### `Optional` name

name?: string

A string defining the field name.

Inherited from Partial.name

### `Optional` nullable

nullable?: boolean

Whether this field can have a null value.

Inherited from Partial.nullable

### `Optional` type

type?: FieldJsonType

Type of the Field. See FieldJsonType.

Inherited from Partial.type

### `Optional` visible

visible?: boolean

.

Inherited from Partial.visible